View Issue Details

IDProjectCategoryView StatusLast Update
0025063LazarusInstallerpublic2019-07-31 23:34
ReporterDelphi_Moose__I_Love_PascalAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSWindowsOS VersionXP
Product VersionProduct Build 
Target VersionFixed in Version2.2 
Summary0025063: Feature Request - Lazarus Installation
DescriptionI accidentally downloaded the 64 bit version of Lazarus and installed it on Windows XP (32 bit) today. I know, I know, I was half asleep and on the phone while downloading and installing. :-[

Anyway, the install completed (all the way through) and then, of course, I got "not a valid Windows 32 application" right at the very end - the first sign that something wasn't right. :-[

Suggestion: get the installer to check at the start of installation and halt installation / display an error message if there is some glaring issue (like the above).

Anyway, it's just a suggestion. Take it or leave it.
Steps To ReproduceDownload 64 bit installer and install on Windows 32 bit.
TagsNo tags attached.
Fixed in Revision61183
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Activities

Reinier Olislagers

2013-09-21 11:03

developer   ~0070219

This is a Lazarus installer bug; please assign to Lazarus project.

Martin Friebe

2013-09-21 11:21

manager   ~0070220

patches welcome.

inno setup scripts are in folder tools\install\win

Martin Friebe

2019-05-09 00:57

manager   ~0116086

Fixed, but only for the next major release 2.2

Issue History

Date Modified Username Field Change
2013-09-21 10:36 Delphi_Moose__I_Love_Pascal New Issue
2013-09-21 10:59 Reinier Olislagers OS All => Windows
2013-09-21 10:59 Reinier Olislagers OS Version All => XP
2013-09-21 11:03 Reinier Olislagers Note Added: 0070219
2013-09-21 11:20 Martin Friebe Project FPC => Lazarus
2013-09-21 11:21 Martin Friebe Note Added: 0070220
2014-09-17 19:55 Marco van de Voort LazTarget => -
2014-09-17 19:55 Marco van de Voort Severity minor => feature
2014-09-17 19:55 Marco van de Voort Product Version 2.6.3 =>
2019-05-09 00:57 Martin Friebe Assigned To => Martin Friebe
2019-05-09 00:57 Martin Friebe Status new => resolved
2019-05-09 00:57 Martin Friebe Resolution open => fixed
2019-05-09 00:57 Martin Friebe Fixed in Version => 2.2
2019-05-09 00:57 Martin Friebe Fixed in Revision => 61183
2019-05-09 00:57 Martin Friebe LazTarget - => 2.2
2019-05-09 00:57 Martin Friebe Widgetset => Win32/Win64
2019-05-09 00:57 Martin Friebe Note Added: 0116086